# Uses of Interface
org.eclipse.jface.action.IMenuManager

Packages that use IMenuManager
Package
Description
org.eclipse.compare.internal
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.e4.ui.workbench.renderers.swt
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.ltk.ui.refactoring.model
Application programming interface to provide model integration for refactoring histories.
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.search.ui.actions
Search actions
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.application
Application-level APIs for configuring and controling the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.
org.eclipse.ui.internal
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of IMenuManager in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
CompareEditorContributor.`contributeToMenu(IMenuManager menuManager)`
`void`
MergeSourceViewer.`menuAboutToShow(IMenuManager menu)`

## Uses of IMenuManager in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
DiffTreeViewer.`fillContextMenu(IMenuManager manager)`
This method is called to add actions to the viewer's context menu.

## Uses of IMenuManager in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return IMenuManager
Modifier and Type
Method
Description
`IMenuManager`
AbstractDebugView.`getContextMenuManager()`
Deprecated, for removal: This API element is subject to removal in a future version.
`IMenuManager`
IDebugView.`getContextMenuManager()`
Deprecated.
See AbstractDebugView#getContextMenuManagers()
Methods in org.eclipse.debug.ui that return types with arguments of type IMenuManager
Modifier and Type
Method
Description
`List<IMenuManager>`
AbstractDebugView.`getContextMenuManagers()`
Returns the context menu managers relevant to this view.
Methods in org.eclipse.debug.ui with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
AbstractDebugView.`addContextMenuManager(IMenuManager contextMenuManager)`
Adds a context menu manager that is relevant to this view.
`protected abstract void`
AbstractDebugView.`fillContextMenu(IMenuManager menu)`
Subclasses must override this method to fill the context menu each time it is realized.

## Uses of IMenuManager in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
RulerBreakpointTypesActionDelegate.`menuAboutToShow(IMenuManager manager)`
Deprecated.

## Uses of IMenuManager in org.eclipse.debug.ui.memory

Methods in org.eclipse.debug.ui.memory with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
AbstractTableRendering.`fillContextMenu(IMenuManager menu)`
Fills the context menu for this rendering

## Uses of IMenuManager in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
MenuManagerHideProcessor.`menuAboutToHide(IMenuManager manager)`
`void`
MenuManagerShowProcessor.`menuAboutToHide(IMenuManager manager)`
`void`
MenuManagerHideProcessor.`menuAboutToShow(IMenuManager manager)`
`void`
MenuManagerShowProcessor.`menuAboutToShow(IMenuManager manager)`

## Uses of IMenuManager in org.eclipse.jface.action

Classes in org.eclipse.jface.action that implement IMenuManager
Modifier and Type
Class
Description
`class`
`MenuManager`
A menu manager is a contribution manager which realizes itself and its items in a menu control; either as a menu bar, a sub-menu, or a context menu.
`class`
`SubMenuManager`
A `SubMenuManager` is used to define a set of contribution items within a parent manager.
Methods in org.eclipse.jface.action that return IMenuManager
Modifier and Type
Method
Description
`IMenuManager`
IMenuManager.`findMenuUsingPath(String path)`
Finds the manager for the menu at the given path.
`IMenuManager`
MenuManager.`findMenuUsingPath(String path)`
`IMenuManager`
SubMenuManager.`findMenuUsingPath(String path)`
The menu returned is wrapped within a `SubMenuManager` to monitor additions and removals.
`IMenuManager`
CoolBarManager.`getContextMenuManager()`
`IMenuManager`
ICoolBarManager.`getContextMenuManager()`
Returns the context menu manager used by this cool bar manager.
`IMenuManager`
SubCoolBarManager.`getContextMenuManager()`
`protected final IMenuManager`
SubMenuManager.`getParentMenuManager()`
`protected IMenuManager`
SubMenuManager.`getWrapper(IMenuManager mgr)`
Returns the menu wrapper for a menu manager.
Methods in org.eclipse.jface.action with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected IMenuManager`
SubMenuManager.`getWrapper(IMenuManager mgr)`
Returns the menu wrapper for a menu manager.
`void`
IMenuListener2.`menuAboutToHide(IMenuManager manager)`
Notifies this listener that the menu is about to be hidden by the given menu manager.
`void`
IMenuListener.`menuAboutToShow(IMenuManager manager)`
Notifies this listener that the menu is about to be shown by the given menu manager.
`void`
CoolBarManager.`setContextMenuManager(IMenuManager contextMenuManager)`
`void`
ICoolBarManager.`setContextMenuManager(IMenuManager menuManager)`
Sets the context menu of this cool bar manager to the given menu manager.
`void`
SubCoolBarManager.`setContextMenuManager(IMenuManager menuManager)`
`protected SubMenuManager`
SubMenuManager.`wrapMenu(IMenuManager menu)`
Wraps a menu manager in a sub menu manager, and returns the new wrapper.
Constructors in org.eclipse.jface.action with parameters of type IMenuManager
Modifier
Constructor
Description
``
`SubMenuManager(IMenuManager mgr)`
Constructs a new manager.

## Uses of IMenuManager in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
PopupDialog.`fillDialogMenu(IMenuManager dialogMenu)`
Fill the dialog's menu.

## Uses of IMenuManager in org.eclipse.ltk.ui.refactoring.model

Methods in org.eclipse.ltk.ui.refactoring.model with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
RefactoringSynchronizationActionProvider.`fillContextMenu(IMenuManager menu)`

## Uses of IMenuManager in org.eclipse.search.ui

Methods in org.eclipse.search.ui with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
ISearchResultViewPart.`fillContextMenu(IMenuManager menuManager)`
Search result pages should call this method to have the search results view contribute to their context menus.

## Uses of IMenuManager in org.eclipse.search.ui.actions

Methods in org.eclipse.search.ui.actions with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
TextSearchGroup.`fillContextMenu(IMenuManager menu)`

## Uses of IMenuManager in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
AbstractTextSearchViewPage.`fillContextMenu(IMenuManager mgr)`
Fills the context menu for this page.

## Uses of IMenuManager in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
SynchronizationActionProvider.`fillContextMenu(IMenuManager menu)`

## Uses of IMenuManager in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
ModelSynchronizeParticipantActionGroup.`addToContextMenu(String mergeActionId, Action action, IMenuManager manager)`
Add the merge action to the context menu manager.
`void`
ModelSynchronizeParticipantActionGroup.`fillContextMenu(IMenuManager menu)`
`void`
SynchronizePageActionGroup.`fillContextMenu(IMenuManager menu)`

## Uses of IMenuManager in org.eclipse.ui

Methods in org.eclipse.ui that return IMenuManager
Modifier and Type
Method
Description
`IMenuManager`
IActionBars.`getMenuManager()`
Returns the menu manager.
`IMenuManager`
SubActionBars.`getMenuManager()`
Returns the abstract menu manager.
Methods in org.eclipse.ui with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected SubMenuManager`
SubActionBars.`createSubMenuManager(IMenuManager parent)`
Returns a new sub menu manager.

## Uses of IMenuManager in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
ActionGroup.`fillContextMenu(IMenuManager menu)`
Adds the applicable actions to a context menu, based on the state of the `ActionContext`.
`void`
WorkingSetFilterActionGroup.`fillContextMenu(IMenuManager menuManager)`
`protected abstract void`
QuickMenuCreator.`fillMenu(IMenuManager menu)`
Create the contents of the context menu.
Constructors in org.eclipse.ui.actions with parameters of type IMenuManager
Modifier
Constructor
Description
``
`NewWizardMenu(IMenuManager innerMgr, IWorkbenchWindow window, boolean register)`
Deprecated.
use NewWizardMenu(IWorkbenchWindow) instead
``
`OpenPerspectiveMenu(IMenuManager menuManager, IWorkbenchWindow window)`
Deprecated.
Constructs a new menu.

## Uses of IMenuManager in org.eclipse.ui.application

Methods in org.eclipse.ui.application that return IMenuManager
Modifier and Type
Method
Description
`IMenuManager`
IActionBarConfigurer.`getMenuManager()`
Returns the menu manager for the main menu bar of a workbench window.
Methods in org.eclipse.ui.application with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
ActionBarAdvisor.`fillMenuBar(IMenuManager menuBar)`
Fills the menu bar with the main menus for the window.

## Uses of IMenuManager in org.eclipse.ui.console

Methods in org.eclipse.ui.console with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
TextConsolePage.`contextMenuAboutToShow(IMenuManager menuManager)`
Fill the context menu

## Uses of IMenuManager in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
FilteredItemsSelectionDialog.`fillContextMenu(IMenuManager menuManager)`
Hook that allows to add actions to the context menu.
`protected void`
FilteredItemsSelectionDialog.`fillViewMenu(IMenuManager menuManager)`
Fills the menu of the dialog.
`protected void`
FilteredResourcesSelectionDialog.`fillViewMenu(IMenuManager menuManager)`

## Uses of IMenuManager in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
TextEditorActionContributor.`contributeToMenu(IMenuManager menu)`
`protected void`
TextEditor.`editorContextMenuAboutToShow(IMenuManager menu)`

## Uses of IMenuManager in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return IMenuManager
Modifier and Type
Method
Description
`IMenuManager`
Form.`getMenuManager()`
Returns the menu manager that is used to manage title area drop-down menu items.

## Uses of IMenuManager in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IMenuManager
Modifier and Type
Class
Description
`class`
`ActionSetMenuManager`
An `EditorMenuManager` is used to sort the contributions made by an editor so that they always appear after the action sets.
`class`
`EditorMenuManager`
An `EditorMenuManager` is used to sort the contributions made by an editor so that they always appear after the action sets.
Methods in org.eclipse.ui.internal that return IMenuManager
Modifier and Type
Method
Description
`IMenuManager`
CoolBarToTrimManager.`getContextMenuManager()`
`IMenuManager`
WorkbenchWindow.`getMenuBarManager()`
`IMenuManager`
WWinActionBars.`getMenuManager()`
Returns the menu manager.
Methods in org.eclipse.ui.internal with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
PluginActionBuilder.BasicContribution.`contribute(IMenuManager menu, boolean menuAppendIfMissing, IToolBarManager toolbar, boolean toolAppendIfMissing)`
Contributes submenus and/or actions into the provided menu and tool bar managers.
`final void`
PluginActionBuilder.`contribute(IMenuManager menu, IToolBarManager toolbar, boolean appendIfMissing)`
Contributes submenus and/or actions into the provided menu and tool bar managers.
`protected void`
PluginActionBuilder.BasicContribution.`contributeGroupMarker(IMenuManager menu, IConfigurationElement element)`
Creates a named menu group marker from the information in the configuration element.
`protected void`
PluginActionBuilder.BasicContribution.`contributeMenu(IConfigurationElement menuElement, IMenuManager mng, boolean appendIfMissing)`
Creates a menu from the information in the menu configuration element and adds it into the provided menu manager.
`protected void`
PluginActionBuilder.BasicContribution.`contributeMenuAction(ActionDescriptor ad, IMenuManager menu, boolean appendIfMissing)`
Contributes action from action descriptor into the provided menu manager.
`boolean`
IObjectActionContributor.`contributeObjectActions(IWorkbenchPart part, IMenuManager menu, ISelectionProvider selProv, List actionIdOverrides)`
Implement this method to add actions that deal with the currently selected object or objects.
`boolean`
ObjectActionContributor.`contributeObjectActions(IWorkbenchPart part, IMenuManager menu, ISelectionProvider selProv, List actionIdOverrides)`
Contributes actions applicable for the current selection.
`boolean`
ObjectActionContributorManager.`contributeObjectActions(IWorkbenchPart part, IMenuManager popupMenu, ISelectionProvider selProv, Set<IObjectActionContributor> alreadyContributed)`
Contributes submenus and/or actions applicable to the selection in the provided viewer into the provided popup menu.
`boolean`
IObjectActionContributor.`contributeObjectMenus(IMenuManager menu, ISelectionProvider selProv)`
Implement this method to add menus that deal with the currently selected object or objects.
`boolean`
ObjectActionContributor.`contributeObjectMenus(IMenuManager menu, ISelectionProvider selProv)`
Contributes menus applicable for the current selection.
`protected void`
PluginActionBuilder.BasicContribution.`contributeSeparator(IMenuManager menu, IConfigurationElement element)`
Creates a named menu separator from the information in the configuration element.
`protected SubMenuManager`
ActionSetActionBars.`createSubMenuManager(IMenuManager parent)`
`protected SubMenuManager`
EditorActionBars.`createSubMenuManager(IMenuManager parent)`
`protected void`
PluginActionBuilder.BasicContribution.`insertMenuGroup(IMenuManager menu, AbstractGroupMarker marker)`
Inserts the separator or group marker into the menu.
`final void`
PopupMenuExtender.`menuAboutToHide(IMenuManager mgr)`
Notifies the listener that the menu is about to be hidden.
`void`
PopupMenuExtender.`menuAboutToShow(IMenuManager mgr)`
Notifies the listener that the menu is about to be shown.
`void`
CoolBarToTrimManager.`setContextMenuManager(IMenuManager menuManager)`
`protected SubMenuManager`
ActionSetMenuManager.`wrapMenu(IMenuManager menu)`
`protected SubMenuManager`
EditorMenuManager.`wrapMenu(IMenuManager menu)`
Constructors in org.eclipse.ui.internal with parameters of type IMenuManager
Modifier
Constructor
Description
``
`ActionSetMenuManager(IMenuManager mgr, String actionSetId)`
Constructs a new editor manager.
``
`EditorMenuManager(IMenuManager mgr)`
Constructs a new editor manager.

## Uses of IMenuManager in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected void`
CommonNavigatorManager.`fillContextMenu(IMenuManager aMenuManager)`
Fills aMenuManager with menu contributions from the `NavigatorActionService`.
`void`
NavigatorActionService.`fillContextMenu(IMenuManager aMenu)`
Requests that the service invoke extensions to fill the given menu with Action Providers that are interested in elements from the given selection.
`void`
WizardActionGroup.`fillContextMenu(IMenuManager menu)`

## Uses of IMenuManager in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
GoIntoActionProvider.`fillContextMenu(IMenuManager menu)`

## Uses of IMenuManager in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
DrillDownAdapter.`addNavigationActions(IMenuManager manager)`
Adds actions for "go back", "go home", and "go into" to a menu manager.
`void`
EditorActionBarContributor.`contributeToMenu(IMenuManager menuManager)`
Contributes to the given menu.
`void`
Page.`makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)`
This method exists for backward compatibility.

## Uses of IMenuManager in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type IMenuManager
Modifier and Type
Method
Description
`protected final void`
AbstractTextEditor.`addAction(IMenuManager menu, String actionId)`
Convenience method to add the action installed under the given action id to the given menu.
`protected final void`
AbstractTextEditor.`addAction(IMenuManager menu, String group, String actionId)`
Convenience method to add the action installed under the given action id to the specified group of the menu.
`protected final void`
AbstractTextEditor.`addGroup(IMenuManager menu, String existingGroup, String newGroup)`
Convenience method to add a new group after the specified group.
`void`
BasicTextEditorActionContributor.`contributeToMenu(IMenuManager menu)`
`protected void`
AbstractDecoratedTextEditor.`editorContextMenuAboutToShow(IMenuManager menu)`
`protected void`
AbstractTextEditor.`editorContextMenuAboutToShow(IMenuManager menu)`
Sets up this editor's context menu before it is made visible.
`void`
AbstractRulerActionDelegate.`menuAboutToShow(IMenuManager manager)`
`protected void`
AbstractDecoratedTextEditor.`overviewRulerContextMenuAboutToShow(IMenuManager menu)`
Sets up the overview ruler context menu before it is made visible.
`protected void`
AbstractDecoratedTextEditor.`rulerContextMenuAboutToShow(IMenuManager menu)`
`protected void`
AbstractTextEditor.`rulerContextMenuAboutToShow(IMenuManager menu)`
Sets up the ruler context menu before it is made visible.

## Uses of IMenuManager in org.eclipse.ui.views.properties

Methods in org.eclipse.ui.views.properties with parameters of type IMenuManager
Modifier and Type
Method
Description
`void`
PropertySheetPage.`makeContributions(IMenuManager menuManager, IToolBarManager toolBarManager, IStatusLineManager statusLineManager)`